package com.cyksj.service.mange;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.GoodsDonCategory;

import java.util.List;

/*
 *项目名: netflix
 *文件名: GoodsDonCategoryService
 *创建者: JavaZou
 *创建时间:2023/8/11 13:45
 */
public interface GoodsDonCategoryService extends IService<GoodsDonCategory> {
	void saveOrUpdateGoods(GoodsDonCategory category);

	void delById(Long id);

	List<GoodsDonCategory> getCateGoryViewByGoodsId(Long id);

	/**
	 * 批量保存分类关系
	 */
	void saveBatchRelate(Long goodsId, List<Long> categoryList);

	/**
	 * 平台分类关系处理
	 */
	void handleGoodsRelate(Long goodsId, List<Long> categoryList);
}
